RubyGems Navigation menu

rubocop 0.76.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.34.1 - August 09, 2022 (548 KB)
  2. 1.34.0 - August 09, 2022 (548 KB)
  3. 1.33.0 - August 04, 2022 (546 KB)
  4. 1.32.0 - July 21, 2022 (544 KB)
  5. 1.31.2 - July 07, 2022 (541 KB)
  6. 0.76.0 - October 28, 2019 (388 KB)
Show all versions (215 total)

Runtime Dependencies (6):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser >= 2.6
  • rainbow >= 2.2.2, < 4.0
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 1.7
  • Development Dependencies (1):

  • bundler >= 1.15.0, < 3.0
  • Owners:

    Pushed by:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    00837450d0eb3d85c7eb32afe909f9536135172df06bdd490ade9c4e7b0ca51f

    Total downloads 249,307,133

    For this version 3,023,743

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.3.0

    New versions require MFA: true

    Links: